Skip to content
Start here

Get Gateway Log Request

client.aiGateway.logs.request(stringgatewayId, stringid, LogRequestParams { account_id } params, RequestOptionsoptions?): LogRequestResponse
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}/request

Retrieves the original request payload for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayId: string

gateway id

maxLength64
minLength1
id: string
params: LogRequestParams { account_id }
account_id: string
ReturnsExpand Collapse
LogRequestResponse = unknown

Get Gateway Log Request

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.aiGateway.logs.request('my-gateway', 'id', {
  account_id: '0d37909e38d3e99c29fa2cd343ac421a',
});

console.log(response);
{}
Returns Examples
{}